<template>
  <NuxtLink
    class="inline-block font-bold font-bold bg-red-default w-full text-center text-white hover:text-white link-button rounded-full py-2 px-8"
    :to="to"
  >
    <t-span>
      <slot></slot>
    </t-span>
  </NuxtLink>
</template>

<script>
import TSpan from '~/components/shared/typography/Span'

export default {
  name: 'BLinkButton',
  components: { TSpan },
  props: {
    to: {
      type: String,
      required: true,
    },
  },
}
</script>
